For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTGetPhoneNumberReports
        • POSTAttachPhoneNumber
        • POSTBindPhoneNumberToApplication
        • POSTDeactivatePhoneNumber
        • POSTSetPhoneNumberInfo
        • POSTGetPhoneNumbers
        • POSTIsAccountPhoneNumber
        • POSTGetPhoneNumbersAsync
        • POSTGetNewPhoneNumbers
        • POSTGetPhoneNumberCategories
        • POSTGetPhoneNumberCountryStates
        • POSTGetPhoneNumberRegions
        • POSTGetActualPhoneNumberRegion
        • POSTGetAccountPhoneNumberCountries
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferencePhone Numbers

SetPhoneNumberInfo

||View as Markdown|
POST
https://api.voximplant.com/platform_api/SetPhoneNumberInfo
POST
/platform_api/SetPhoneNumberInfo
$curl -X POST "https://api.voximplant.com/platform_api/SetPhoneNumberInfo?phone_id=12345&incoming_sms_callback_url=https%3A%2F%2Fmyapp.example.com%2Fsms%2Fincoming" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Success
1{
2 "result": 1
3}

Set the phone number information.

Allowed roles: Owner, Admin, Accountant.

Example request: Enable the auto charging.

Was this page helpful?
Previous

DeactivatePhoneNumber

Next

GetPhoneNumbers

Built with

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

phone_idlist of integersOptional

The phone ID list separated by semicolons (;). Use the ‘all’ value to select all phone ids. Required unless phone_number is provided.

phone_numberlist of stringsOptional

The phone number list separated by semicolons (;). Required unless phone_id is provided.

incoming_sms_callback_urlstringOptional
If set, the callback of an incoming SMS is sent to this url, otherwise, it is sent to the general account URL

Response

Successful response
resultinteger
Returns 1 if the request has been completed successfully